<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Performing C2 Kill Chain Analysis — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `map --ioc <val>` | Map C2 infrastructure |
| `analyze --timeline <val>` | Analyze kill chain phases |
| `correlate --ioc <val> --framework <val>` | Correlate TTP patterns |
| `report --format <val>` | Generate kill chain report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--ioc` | string | Yes | Ioc parameter |
| `--timeline` | string | Yes | Timeline parameter |
| `--framework` | string | Yes | Framework parameter |
| `--format` | string | Yes | Format parameter |
